summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/bareos')
-rw-r--r--app-backup/bareos/Manifest3
-rw-r--r--app-backup/bareos/bareos-12.4.5-r1.ebuild402
-rw-r--r--app-backup/bareos/bareos-13.2.4-r1.ebuild398
-rw-r--r--app-backup/bareos/bareos-14.2.1.ebuild409
-rw-r--r--app-backup/bareos/files/bareos-12.4.5-Makefile.patch27
-rw-r--r--app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch11
-rw-r--r--app-backup/bareos/files/bareos-dir.confd18
-rw-r--r--app-backup/bareos/files/bareos-dir.initd22
-rw-r--r--app-backup/bareos/files/bareos-fd.confd8
-rw-r--r--app-backup/bareos/files/bareos-fd.initd22
-rw-r--r--app-backup/bareos/files/bareos-sd.confd11
-rw-r--r--app-backup/bareos/files/bareos-sd.initd22
-rw-r--r--app-backup/bareos/metadata.xml25
13 files changed, 1378 insertions, 0 deletions
diff --git a/app-backup/bareos/Manifest b/app-backup/bareos/Manifest
new file mode 100644
index 000000000000..fe7cd78a9497
--- /dev/null
+++ b/app-backup/bareos/Manifest
@@ -0,0 +1,3 @@
+DIST bareos-12.4.5.tar.gz 3496881 SHA256 7e3eb7bf294b26ea97807f642d6cc7ac17f0c2eecc133c40db50ce810fd3dede SHA512 e91ddc89766c7a5339d4cae6924c302d7e7c340f1cfa36c598ad3d2cec70a131b4c9c57b9ae5f9006e96acb460e838d38da577f794f567acb07e1137dbae9b11 WHIRLPOOL dd893d45f7cd7a5df486f54e68c53217b4d506fcbc7697e968441595ed7f485dc5f5f7c9e7fe11d98b704d7174a56e2ac90ce05f94be8b71c8b8fc41ece87414
+DIST bareos-13.2.4.tar.gz 3467542 SHA256 def68891d074438e55d7a3e570cfaae1c1a8c9479d089815ba0f8f31e1d6eefc SHA512 d7e4bc016993f68521f4438b56adf51e88685195693d00d34103259c3c24d1d7c03cc2b7aecbb55ff88a00d5f169e9e42accd23b17bcd3c837ca78079a9f394f WHIRLPOOL 54b5ee5094be6569c1a7857ebcc98f1e24ee272485327397f1ab0833433a6b46e8b7e3f2cd927668600ba63f2d36a920dc64cb9dfc2f0dd69adb57a70b862848
+DIST bareos-14.2.1.tar.gz 3741825 SHA256 a4a6227dbfadfdf973c1e80a2279e6775511d10255e55c4af25e4ffec94c93bd SHA512 2e7215be8b85258c9ebddb65c639c437b1c3b1397ca03a6277a130f4b4b6ba5d14eeae0dc675022e3b387bb0f9ceb25950997c6734c5c3242048ade7e80b8928 WHIRLPOOL 3353ac795a2ab6c7e5eb7433a10016fd6fa9403d5161d09ee1b1b868ab5d23f8e1d99b73f0d470054c883ff66fba60938afec9e83b2d1688d2d3b29d9d8d8f9b
diff --git a/app-backup/bareos/bareos-12.4.5-r1.ebuild b/app-backup/bareos/bareos-12.4.5-r1.ebuild
new file mode 100644
index 000000000000..f5e9f82a5a65
--- /dev/null
+++ b/app-backup/bareos/bareos-12.4.5-r1.ebuild
@@ -0,0 +1,402 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit eutils multilib python-single-r1 qt4-r2 user
+
+DESCRIPTION="Featureful client/server network backup suite"
+HOMEPAGE="http://www.bareos.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/Release/${PV}.tar.gz -> ${P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="acl clientonly +director examples ipv6 logwatch mysql ndmp postgres python qt4
+ readline scsi-crypto sql-pooling +sqlite ssl static +storage-daemon tcpd
+ vim-syntax X"
+
+DEPEND="
+ !app-backup/bacula
+ dev-libs/gmp:0
+ !clientonly? (
+ postgres? ( dev-db/postgresql:*[threads] )
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ director? ( virtual/mta )
+ )
+ qt4? (
+ dev-qt/qtsvg:4
+ x11-libs/qwt:5
+ )
+ logwatch? ( sys-apps/logwatch )
+ tcpd? ( sys-apps/tcp-wrappers )
+ readline? ( sys-libs/readline:0 )
+ static? (
+ acl? ( virtual/acl[static-libs] )
+ sys-libs/zlib[static-libs]
+ dev-libs/lzo[static-libs]
+ sys-libs/ncurses[static-libs]
+ ssl? ( dev-libs/openssl:0[static-libs] )
+ )
+ !static? (
+ acl? ( virtual/acl )
+ sys-libs/zlib
+ dev-libs/lzo
+ sys-libs/ncurses
+ ssl? ( dev-libs/openssl:0 )
+ )
+ python? ( ${PYTHON_DEPS} )
+ "
+RDEPEND="${DEPEND}
+ !clientonly? (
+ storage-daemon? (
+ sys-block/mtx
+ app-arch/mt-st
+ )
+ )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+
+REQUIRED_USE="static? ( clientonly )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+S=${WORKDIR}/${PN}-Release-${PV}
+
+pkg_setup() {
+ use mysql && export mydbtypes+="mysql"
+ use postgres && export mydbtypes+=" postgresql"
+ use sqlite && export mydbtypes+=" sqlite"
+
+ # create the daemon group and user
+ if [ -z "$(egetent group bareos 2>/dev/null)" ]; then
+ enewgroup bareos
+ einfo
+ einfo "The group 'bareos' has been created. Any users you add to this"
+ einfo "group have access to files created by the daemons."
+ einfo
+ fi
+
+ if use clientonly && use static && use qt4; then
+ ewarn
+ ewarn "Building statically linked 'bat' is not supported. Ignorig 'qt4' useflag."
+ ewarn
+ fi
+
+ if ! use clientonly; then
+ if [ -z "$(egetent passwd bareos 2>/dev/null)" ]; then
+ enewuser bareos -1 -1 /var/lib/bareos bareos,disk,tape,cdrom,cdrw
+ einfo
+ einfo "The user 'bareos' has been created. Please see the bareos manual"
+ einfo "for information about running bareos as a non-root user."
+ einfo
+ fi
+ fi
+
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # adjusts default configuration files for several binaries
+ # to /etc/bareos/<config> instead of ./<config>
+ pushd src >&/dev/null || die
+ for f in console/console.c dird/dird.c filed/filed.c \
+ stored/bcopy.c stored/bextract.c stored/bls.c \
+ stored/bscan.c stored/btape.c stored/stored.c \
+ qt-console/main.cpp; do
+ sed -i -e 's|^\(#define CONFIG_FILE "\)|\1/etc/bareos/|g' "${f}" \
+ || die "sed on ${f} failed"
+ done
+ popd >&/dev/null || die
+
+ # bug 466690 Use CXXFLAGS instead of CFLAGS
+ sed -i -e 's/@CFLAGS@/@CXXFLAGS@/' autoconf/Make.common.in || die
+
+ # stop build for errors in subdirs
+ epatch "${FILESDIR}"/${PN}-12.4.5-Makefile.patch
+
+ # bat needs to respect LDFLAGS
+ epatch "${FILESDIR}"/${PN}-12.4.5-bat-ldflags.patch
+
+ # do not strip binaries
+ for d in filed console dird stored; do
+ sed -i -e "s/strip /# strip /" src/$d/Makefile.in || die
+ done
+}
+
+src_configure() {
+ local myconf=''
+
+ if use clientonly; then
+ myconf="${myconf} \
+ $(use_enable clientonly client-only) \
+ $(use_enable !static libtool) \
+ $(use_enable static static-cons) \
+ $(use_enable static static-fd)"
+ fi
+
+ # do not build bat and traymonitor if 'static' clientonly
+ if ! use clientonly || ! use static; then
+ myconf="${myconf} \
+ $(use_enable qt4 bat) \
+ $(use_enable qt4 traymonitor)"
+ fi
+
+ myconf="${myconf} \
+ $(use_with X x) \
+ $(use_enable acl) \
+ $(use_enable ipv6) \
+ $(use_enable ndmp) \
+ $(use_enable readline) \
+ $(use_enable !readline conio) \
+ $(use_enable scsi-crypto) \
+ $(use_enable sql-pooling) \
+ $(use_with mysql) \
+ $(use_with postgres postgresql) \
+ $(use_with python) \
+ $(use_with readline readline /usr) \
+ $(use_with sqlite sqlite3) \
+ $(use sqlite || echo "--without-sqlite3") \
+ $(use_with ssl openssl) \
+ $(use_with tcpd tcp-wrappers) \
+ "
+
+ econf \
+ --libdir=/usr/$(get_libdir) \
+ --docdir=/usr/share/doc/${PF} \
+ --htmldir=/usr/share/doc/${PF}/html \
+ --with-pid-dir=/run \
+ --sysconfdir=/etc/bareos \
+ --with-subsys-dir=/run/lock/subsys \
+ --with-working-dir=/var/lib/bareos \
+ --with-logdir=/var/log/bareos \
+ --with-scriptdir=/usr/libexec/bareos \
+ --with-plugindir=/usr/$(get_libdir)/${PN}/plugin \
+ --with-dir-user=bareos \
+ --with-dir-group=bareos \
+ --with-sd-user=root \
+ --with-sd-group=bareos \
+ --with-fd-user=root \
+ --with-fd-group=bareos \
+ --with-sbin-perm=0755 \
+ --enable-smartalloc \
+ --enable-dynamic-cats-backends \
+ --enable-batch-insert \
+ --disable-afs \
+ --host=${CHOST} \
+ ${myconf}
+ # correct configuration for QT based bat
+ if use qt4 ; then
+ pushd src/qt-console
+ eqmake4
+ popd
+ pushd src/qt-tray-monitor
+ eqmake4
+ popd
+ fi
+}
+
+src_compile() {
+ # workaround for build failing with high -j values
+ # if ndmp is enabled
+ use ndmp && MAKEOPTS="$MAKEOPTS -j1"
+
+ # Make build log verbose (bug #447806)
+ emake NO_ECHO=""
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ doicon scripts/bareos.png
+
+ # install bat icon and desktop file when enabled
+ # (for some reason ./configure doesn't pick this up)
+ if use qt4 && ! use static ; then
+ doicon src/images/bat.png
+ domenu scripts/bat.desktop
+ fi
+
+ # remove some scripts we don't need at all
+ rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd,startmysql,stopmysql}
+ rm -f "${D}"/usr/sbin/bareos
+
+ # remove upstream init scripts
+ rm -f "${D}"/etc/init.d/bareos-*
+
+ # rename statically linked apps
+ if use clientonly && use static ; then
+ pushd "${D}"/usr/sbin || die
+ mv static-bareos-fd bareos-fd || die
+ mv static-bconsole bconsole || die
+ popd || die
+ fi
+
+ # extra files which 'make install' doesn't cover
+ if ! use clientonly; then
+ # the logrotate configuration
+ # (now unconditional wrt bug #258187)
+ diropts -m0755
+ insinto /etc/logrotate.d
+ insopts -m0644
+ newins "${S}"/scripts/logrotate bareos
+
+ # the logwatch scripts
+ if use logwatch; then
+ diropts -m0750
+ dodir /etc/log.d/scripts/services
+ dodir /etc/log.d/scripts/shared
+ dodir /etc/log.d/conf/logfiles
+ dodir /etc/log.d/conf/services
+ pushd "${S}"/scripts/logwatch >&/dev/null || die
+ emake DESTDIR="${D}" install
+ popd >&/dev/null || die
+ fi
+ fi
+
+ rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bat.1*
+ fi
+ if use clientonly || ! use director; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
+ rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
+ rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
+ rm -vf "${D}"/usr/share/man/man8/bwild.8*
+ rm -vf "${D}"/usr/share/man/man8/bregex.8*
+ rm -vf "${D}"/usr/share/man/man8/bpluginfo.8*
+ rm -vf "${D}"/usr/libexec/bareos/create_*_database
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_database
+ rm -vf "${D}"/usr/libexec/bareos/make_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/update_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/grant_*_privileges
+ rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
+ fi
+ if use clientonly || ! use storage-daemon; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
+ rm -vf "${D}"/usr/share/man/man8/bcopy.8*
+ rm -vf "${D}"/usr/share/man/man8/bextract.8*
+ rm -vf "${D}"/usr/share/man/man8/bls.8*
+ rm -vf "${D}"/usr/share/man/man8/bscan.8*
+ rm -vf "${D}"/usr/share/man/man8/btape.8*
+ rm -vf "${D}"/usr/libexec/bareos/disk-changer
+ rm -vf "${D}"/usr/libexec/bareos/mtx-changer
+ rm -vf "${D}"/usr/libexec/bareos/dvd-handler
+ rm -vf "${D}"/etc/bareos/mtx-changer.conf
+ fi
+ if ! use scsi-crypto; then
+ rm -vf "${D}"/usr/share/man/man8/bscrypto.8*
+ fi
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bareos-tray-monitor.1*
+ fi
+
+ # documentation
+ dodoc README.md
+ use ndmp && dodoc README.NDMP
+ use scsi-crypto && dodoc README.scsicrypto
+
+ # install examples (bug #457504)
+ if use examples; then
+ docinto examples/
+ dodoc -r examples/*
+ fi
+
+ # vim-files
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins scripts/bareos.vim
+ insinto /usr/share/vim/vimfiles/ftdetect
+ newins scripts/filetype.vim bareos_ft.vim
+ fi
+
+ # setup init scripts
+ myscripts="bareos-fd"
+ if ! use clientonly; then
+ if use director; then
+ myscripts="${myscripts} bareos-dir"
+ fi
+ if use storage-daemon; then
+ myscripts="${myscripts} bareos-sd"
+ fi
+ fi
+ for script in ${myscripts}; do
+ # copy over init script and config to a temporary location
+ # so we can modify them as needed
+ cp "${FILESDIR}/${script}".confd "${T}/${script}".confd || die "failed to copy ${script}.confd"
+ cp "${FILESDIR}/${script}".initd "${T}/${script}".initd || die "failed to copy ${script}.initd"
+
+ # now set the database dependency for the director init script
+ case "${script}" in
+ bareos-dir)
+ sed -i -e "s:%databasetypes%:${mydbtypes}:" "${T}/${script}".confd || die
+ ;;
+ *)
+ ;;
+ esac
+
+ # install init script and config
+ newinitd "${T}/${script}".initd "${script}"
+ newconfd "${T}/${script}".confd "${script}"
+ done
+
+ # make sure the working directory exists
+ diropts -m0750
+ keepdir /var/lib/bareos
+
+ # make sure bareos group can execute bareos libexec scripts
+ fowners -R root:bareos /usr/libexec/bareos
+}
+
+pkg_postinst() {
+ if use clientonly; then
+ fowners root:bareos /var/lib/bareos
+ else
+ fowners bareos:bareos /var/lib/bareos
+ fi
+
+ if ! use clientonly && use director; then
+ einfo
+ einfo "If this is a new install, you must create the databases with:"
+ if use postgres; then
+ einfo
+ einfo "For postgresql:"
+ einfo " su postgres -c '/usr/libexec/bareos/create_bareos_database postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/make_bareos_tables postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/grant_bareos_privileges postgresql'"
+ fi
+ if use mysql; then
+ einfo
+ einfo "For mysql:"
+ einfo
+ einfo " Make sure root has direct access to your mysql server. You may want to"
+ einfo " create a /root/.my.cnf file with"
+ einfo " [client]"
+ einfo " user=root"
+ einfo " password=YourPasswordForAccessingMysqlAsRoot"
+ einfo " before running:"
+ einfo " /usr/libexec/bareos/create_bareos_database mysql"
+ einfo " /usr/libexec/bareos/make_bareos_tables mysql"
+ einfo " /usr/libexec/bareos/grant_bareos_privileges mysql"
+ fi
+ einfo
+ fi
+
+ if use sqlite; then
+ einfo
+ einfo "Be aware that Bareos does not officially support SQLite database."
+ einfo "Best use it only for a client-only installation. See Bug #445540."
+ einfo
+ einfo "It is strongly recommended to use either postgresql or mysql as"
+ einfo "catalog database backend."
+ einfo
+ fi
+
+ einfo "Please note that 'bconsole' will always be installed. To compile 'bat'"
+ einfo "you have to enable 'USE=qt4'."
+ einfo
+}
diff --git a/app-backup/bareos/bareos-13.2.4-r1.ebuild b/app-backup/bareos/bareos-13.2.4-r1.ebuild
new file mode 100644
index 000000000000..09b471847b15
--- /dev/null
+++ b/app-backup/bareos/bareos-13.2.4-r1.ebuild
@@ -0,0 +1,398 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit eutils multilib python-single-r1 qt4-r2 user
+
+DESCRIPTION="Featureful client/server network backup suite"
+HOMEPAGE="http://www.bareos.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/Release/${PV}.tar.gz -> ${P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="acl clientonly +director fastlz ipv6 logwatch mysql ndmp postgres python qt4
+ readline scsi-crypto sql-pooling +sqlite ssl static +storage-daemon tcpd
+ vim-syntax X"
+
+DEPEND="
+ !app-backup/bacula
+ dev-libs/gmp:0
+ !clientonly? (
+ postgres? ( dev-db/postgresql:*[threads] )
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ director? ( virtual/mta )
+ )
+ qt4? (
+ dev-qt/qtsvg:4
+ x11-libs/qwt:5
+ )
+ fastlz? ( dev-libs/bareos-fastlzlib )
+ logwatch? ( sys-apps/logwatch )
+ tcpd? ( sys-apps/tcp-wrappers )
+ readline? ( sys-libs/readline:0 )
+ static? (
+ acl? ( virtual/acl[static-libs] )
+ sys-libs/zlib[static-libs]
+ dev-libs/lzo[static-libs]
+ sys-libs/ncurses[static-libs]
+ ssl? ( dev-libs/openssl:0[static-libs] )
+ )
+ !static? (
+ acl? ( virtual/acl )
+ dev-libs/lzo
+ ssl? ( dev-libs/openssl:0 )
+ sys-libs/ncurses
+ sys-libs/zlib
+ )
+ python? ( ${PYTHON_DEPS} )
+ "
+RDEPEND="${DEPEND}
+ !clientonly? (
+ storage-daemon? (
+ sys-block/mtx
+ app-arch/mt-st
+ )
+ )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+
+REQUIRED_USE="static? ( clientonly )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+S=${WORKDIR}/${PN}-Release-${PV}
+
+pkg_setup() {
+ use mysql && export mydbtypes+="mysql"
+ use postgres && export mydbtypes+=" postgresql"
+ use sqlite && export mydbtypes+=" sqlite"
+
+ # create the daemon group and user
+ if [ -z "$(egetent group bareos 2>/dev/null)" ]; then
+ enewgroup bareos
+ einfo
+ einfo "The group 'bareos' has been created. Any users you add to this"
+ einfo "group have access to files created by the daemons."
+ einfo
+ fi
+
+ if use clientonly && use static && use qt4; then
+ ewarn
+ ewarn "Building statically linked 'bat' is not supported. Ignorig 'qt4' useflag."
+ ewarn
+ fi
+
+ if ! use clientonly; then
+ if [ -z "$(egetent passwd bareos 2>/dev/null)" ]; then
+ enewuser bareos -1 -1 /var/lib/bareos bareos,disk,tape,cdrom,cdrw
+ einfo
+ einfo "The user 'bareos' has been created. Please see the bareos manual"
+ einfo "for information about running bareos as a non-root user."
+ einfo
+ fi
+ fi
+
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # adjusts default configuration files for several binaries
+ # to /etc/bareos/<config> instead of ./<config>
+ pushd src >&/dev/null || die
+ for f in console/console.c dird/dird.c filed/filed.c \
+ stored/bcopy.c stored/bextract.c stored/bls.c \
+ stored/bscan.c stored/btape.c stored/stored.c \
+ qt-console/main.cpp; do
+ sed -i -e 's|^\(#define CONFIG_FILE "\)|\1/etc/bareos/|g' "${f}" \
+ || die "sed on ${f} failed"
+ done
+ popd >&/dev/null || die
+
+ # bug 466690 Use CXXFLAGS instead of CFLAGS
+ sed -i -e 's/@CFLAGS@/@CXXFLAGS@/' autoconf/Make.common.in || die
+
+ # stop build for errors in subdirs
+ epatch "${FILESDIR}"/${PN}-12.4.5-Makefile.patch
+
+ # bat needs to respect LDFLAGS
+ epatch "${FILESDIR}"/${PN}-12.4.5-bat-ldflags.patch
+
+ # do not strip binaries
+ for d in filed console dird stored; do
+ sed -i -e "s/strip /# strip /" src/$d/Makefile.in || die
+ done
+}
+
+src_configure() {
+ local myconf=''
+
+ if use clientonly; then
+ myconf="${myconf} \
+ $(use_enable clientonly client-only) \
+ $(use_enable !static libtool) \
+ $(use_enable static static-cons) \
+ $(use_enable static static-fd)"
+ fi
+
+ # do not build bat and traymonitor if 'static' clientonly
+ if ! use clientonly || ! use static; then
+ myconf="${myconf} \
+ $(use_enable qt4 bat) \
+ $(use_enable qt4 traymonitor)"
+ fi
+
+ myconf="${myconf} \
+ $(use_with X x) \
+ $(use_enable acl) \
+ $(use_enable ipv6) \
+ $(use_enable ndmp) \
+ $(use_enable readline) \
+ $(use_enable !readline conio) \
+ $(use_enable scsi-crypto) \
+ $(use_enable sql-pooling) \
+ $(use_with fastlz) \
+ $(use_with mysql) \
+ $(use_with postgres postgresql) \
+ $(use_with python) \
+ $(use_with readline) \
+ $(use_with sqlite sqlite3) \
+ $(use sqlite || echo "--without-sqlite3") \
+ $(use_with ssl openssl) \
+ $(use_with tcpd tcp-wrappers) \
+ "
+
+ econf \
+ --libdir=/usr/$(get_libdir) \
+ --docdir=/usr/share/doc/${PF} \
+ --htmldir=/usr/share/doc/${PF}/html \
+ --with-pid-dir=/run/bareos \
+ --sysconfdir=/etc/bareos \
+ --with-subsys-dir=/run/lock/subsys \
+ --with-working-dir=/var/lib/bareos \
+ --with-logdir=/var/log/bareos \
+ --with-scriptdir=/usr/libexec/bareos \
+ --with-plugindir=/usr/$(get_libdir)/${PN}/plugin \
+ --with-dir-user=bareos \
+ --with-dir-group=bareos \
+ --with-sd-user=root \
+ --with-sd-group=bareos \
+ --with-fd-user=root \
+ --with-fd-group=bareos \
+ --with-sbin-perm=0755 \
+ --enable-smartalloc \
+ --enable-dynamic-cats-backends \
+ --enable-batch-insert \
+ --disable-afs \
+ --host=${CHOST} \
+ ${myconf}
+ # correct configuration for QT based bat
+ if use qt4 ; then
+ pushd src/qt-console
+ eqmake4
+ popd
+ pushd src/qt-tray-monitor
+ eqmake4
+ popd
+ fi
+}
+
+src_compile() {
+ # workaround for build failing with high -j values
+ # if ndmp is enabled
+ use ndmp && MAKEOPTS="$MAKEOPTS -j1"
+
+ # Make build log verbose (bug #447806)
+ emake NO_ECHO=""
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ doicon scripts/bareos.png
+
+ # install bat icon and desktop file when enabled
+ # (for some reason ./configure doesn't pick this up)
+ if use qt4 && ! use static ; then
+ doicon src/images/bat.png
+ domenu scripts/bat.desktop
+ fi
+
+ # remove some scripts we don't need at all
+ rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd,startmysql,stopmysql}
+ rm -f "${D}"/usr/sbin/bareos
+
+ # remove upstream init scripts
+ rm -f "${D}"/etc/init.d/bareos-*
+
+ # rename statically linked apps
+ if use clientonly && use static ; then
+ pushd "${D}"/usr/sbin || die
+ mv static-bareos-fd bareos-fd || die
+ mv static-bconsole bconsole || die
+ popd || die
+ fi
+
+ # extra files which 'make install' doesn't cover
+ if ! use clientonly; then
+ # the logrotate configuration
+ # (now unconditional wrt bug #258187)
+ diropts -m0755
+ insinto /etc/logrotate.d
+ insopts -m0644
+ newins "${S}"/scripts/logrotate bareos
+
+ # the logwatch scripts
+ if use logwatch; then
+ diropts -m0750
+ dodir /etc/log.d/scripts/services
+ dodir /etc/log.d/scripts/shared
+ dodir /etc/log.d/conf/logfiles
+ dodir /etc/log.d/conf/services
+ pushd "${S}"/scripts/logwatch >&/dev/null || die
+ emake DESTDIR="${D}" install
+ popd >&/dev/null || die
+ fi
+ fi
+
+ rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bat.1*
+ fi
+ if use clientonly || ! use director; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
+ rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
+ rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
+ rm -vf "${D}"/usr/share/man/man8/bwild.8*
+ rm -vf "${D}"/usr/share/man/man8/bregex.8*
+ rm -vf "${D}"/usr/share/man/man8/bpluginfo.8*
+ rm -vf "${D}"/usr/libexec/bareos/create_*_database
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_database
+ rm -vf "${D}"/usr/libexec/bareos/make_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/update_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/grant_*_privileges
+ rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
+ fi
+ if use clientonly || ! use storage-daemon; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
+ rm -vf "${D}"/usr/share/man/man8/bcopy.8*
+ rm -vf "${D}"/usr/share/man/man8/bextract.8*
+ rm -vf "${D}"/usr/share/man/man8/bls.8*
+ rm -vf "${D}"/usr/share/man/man8/bscan.8*
+ rm -vf "${D}"/usr/share/man/man8/btape.8*
+ rm -vf "${D}"/usr/libexec/bareos/disk-changer
+ rm -vf "${D}"/usr/libexec/bareos/mtx-changer
+ rm -vf "${D}"/usr/libexec/bareos/dvd-handler
+ rm -vf "${D}"/etc/bareos/mtx-changer.conf
+ fi
+ if ! use scsi-crypto; then
+ rm -vf "${D}"/usr/share/man/man8/bscrypto.8*
+ fi
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bareos-tray-monitor.1*
+ fi
+
+ # documentation
+ dodoc README.md
+ use ndmp && dodoc README.NDMP
+ use scsi-crypto && dodoc README.scsicrypto
+
+ # vim-files
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins scripts/bareos.vim
+ insinto /usr/share/vim/vimfiles/ftdetect
+ newins scripts/filetype.vim bareos_ft.vim
+ fi
+
+ # setup init scripts
+ myscripts="bareos-fd"
+ if ! use clientonly; then
+ if use director; then
+ myscripts="${myscripts} bareos-dir"
+ fi
+ if use storage-daemon; then
+ myscripts="${myscripts} bareos-sd"
+ fi
+ fi
+ for script in ${myscripts}; do
+ # copy over init script and config to a temporary location
+ # so we can modify them as needed
+ cp "${FILESDIR}/${script}".confd "${T}/${script}".confd || die "failed to copy ${script}.confd"
+ cp "${FILESDIR}/${script}".initd "${T}/${script}".initd || die "failed to copy ${script}.initd"
+
+ # now set the database dependency for the director init script
+ case "${script}" in
+ bareos-dir)
+ sed -i -e "s:%databasetypes%:${mydbtypes}:" "${T}/${script}".confd || die
+ ;;
+ *)
+ ;;
+ esac
+
+ # install init script and config
+ newinitd "${T}/${script}".initd "${script}"
+ newconfd "${T}/${script}".confd "${script}"
+ done
+
+ # make sure the working directory exists
+ diropts -m0750
+ keepdir /var/lib/bareos
+
+ # make sure bareos group can execute bareos libexec scripts
+ fowners -R root:bareos /usr/libexec/bareos
+}
+
+pkg_postinst() {
+ if use clientonly; then
+ fowners root:bareos /var/lib/bareos
+ else
+ fowners bareos:bareos /var/lib/bareos
+ fi
+
+ if ! use clientonly && use director; then
+ einfo
+ einfo "If this is a new install, you must create the databases with:"
+ if use postgres; then
+ einfo
+ einfo "For postgresql:"
+ einfo " su postgres -c '/usr/libexec/bareos/create_bareos_database postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/make_bareos_tables postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/grant_bareos_privileges postgresql'"
+ fi
+ if use mysql; then
+ einfo
+ einfo "For mysql:"
+ einfo
+ einfo " Make sure root has direct access to your mysql server. You may want to"
+ einfo " create a /root/.my.cnf file with"
+ einfo " [client]"
+ einfo " user=root"
+ einfo " password=YourPasswordForAccessingMysqlAsRoot"
+ einfo " before running:"
+ einfo " /usr/libexec/bareos/create_bareos_database mysql"
+ einfo " /usr/libexec/bareos/make_bareos_tables mysql"
+ einfo " /usr/libexec/bareos/grant_bareos_privileges mysql"
+ fi
+ einfo
+ fi
+
+ if use sqlite; then
+ einfo
+ einfo "Be aware that Bareos does not officially support SQLite database."
+ einfo "Best use it only for a client-only installation. See Bug #445540."
+ einfo
+ einfo "It is strongly recommended to use either postgresql or mysql as"
+ einfo "catalog database backend."
+ einfo
+ fi
+
+ einfo "Please note that 'bconsole' will always be installed. To compile 'bat'"
+ einfo "you have to enable 'USE=qt4'."
+ einfo
+}
diff --git a/app-backup/bareos/bareos-14.2.1.ebuild b/app-backup/bareos/bareos-14.2.1.ebuild
new file mode 100644
index 000000000000..c9ff71bd55d1
--- /dev/null
+++ b/app-backup/bareos/bareos-14.2.1.ebuild
@@ -0,0 +1,409 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit eutils multilib python-single-r1 qt4-r2 user
+
+DESCRIPTION="Featureful client/server network backup suite"
+HOMEPAGE="http://www.bareos.org/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/Release/${PV}.tar.gz -> ${P}.tar.gz"
+RESTRICT="mirror"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE="acl clientonly +director fastlz ipv6 logwatch mysql ndmp postgres python qt4
+ readline scsi-crypto sql-pooling +sqlite ssl static +storage-daemon tcpd
+ vim-syntax X cephfs glusterfs lmdb rados"
+
+DEPEND="
+ !app-backup/bacula
+ cephfs? ( sys-cluster/ceph )
+ rados? ( sys-cluster/ceph )
+ glusterfs? ( sys-cluster/glusterfs )
+ lmdb? ( dev-db/lmdb )
+ dev-libs/gmp:0
+ !clientonly? (
+ postgres? ( dev-db/postgresql:*[threads] )
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ director? ( virtual/mta )
+ )
+ qt4? (
+ dev-qt/qtsvg:4
+ x11-libs/qwt:5
+ )
+ fastlz? ( dev-libs/bareos-fastlzlib )
+ logwatch? ( sys-apps/logwatch )
+ tcpd? ( sys-apps/tcp-wrappers )
+ readline? ( sys-libs/readline:0 )
+ static? (
+ acl? ( virtual/acl[static-libs] )
+ sys-libs/zlib[static-libs]
+ dev-libs/lzo[static-libs]
+ sys-libs/ncurses[static-libs]
+ ssl? ( dev-libs/openssl:0[static-libs] )
+ )
+ !static? (
+ acl? ( virtual/acl )
+ dev-libs/lzo
+ ssl? ( dev-libs/openssl:0 )
+ sys-libs/ncurses
+ sys-libs/zlib
+ )
+ python? ( ${PYTHON_DEPS} )
+ "
+RDEPEND="${DEPEND}
+ !clientonly? (
+ storage-daemon? (
+ sys-block/mtx
+ app-arch/mt-st
+ )
+ )
+ vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
+
+REQUIRED_USE="static? ( clientonly )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+S=${WORKDIR}/${PN}-Release-${PV}
+
+pkg_setup() {
+ use mysql && export mydbtypes+="mysql"
+ use postgres && export mydbtypes+=" postgresql"
+ use sqlite && export mydbtypes+=" sqlite"
+
+ # create the daemon group and user
+ if [ -z "$(egetent group bareos 2>/dev/null)" ]; then
+ enewgroup bareos
+ einfo
+ einfo "The group 'bareos' has been created. Any users you add to this"
+ einfo "group have access to files created by the daemons."
+ einfo
+ fi
+
+ if use clientonly && use static && use qt4; then
+ ewarn
+ ewarn "Building statically linked 'bat' is not supported. Ignorig 'qt4' useflag."
+ ewarn
+ fi
+
+ if ! use clientonly; then
+ if [ -z "$(egetent passwd bareos 2>/dev/null)" ]; then
+ enewuser bareos -1 -1 /var/lib/bareos bareos,disk,tape,cdrom,cdrw
+ einfo
+ einfo "The user 'bareos' has been created. Please see the bareos manual"
+ einfo "for information about running bareos as a non-root user."
+ einfo
+ fi
+ fi
+
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # adjusts default configuration files for several binaries
+ # to /etc/bareos/<config> instead of ./<config>
+ pushd src >&/dev/null || die
+ for f in console/console.c dird/dird.c filed/filed.c \
+ stored/bcopy.c stored/bextract.c stored/bls.c \
+ stored/bscan.c stored/btape.c stored/stored.c \
+ qt-console/main.cpp; do
+ sed -i -e 's|^\(#define CONFIG_FILE "\)|\1/etc/bareos/|g' "${f}" \
+ || die "sed on ${f} failed"
+ done
+ popd >&/dev/null || die
+
+ # bug 466690 Use CXXFLAGS instead of CFLAGS
+ sed -i -e 's/@CFLAGS@/@CXXFLAGS@/' autoconf/Make.common.in || die
+
+ # stop build for errors in subdirs
+ epatch "${FILESDIR}"/${PN}-12.4.5-Makefile.patch
+
+ # bat needs to respect LDFLAGS
+ epatch "${FILESDIR}"/${PN}-12.4.5-bat-ldflags.patch
+
+ # do not strip binaries
+ for d in filed console dird stored; do
+ sed -i -e "s/strip /# strip /" src/$d/Makefile.in || die
+ done
+}
+
+src_configure() {
+ local myconf=''
+
+ if use clientonly; then
+ myconf="${myconf} \
+ $(use_enable clientonly client-only) \
+ $(use_enable !static libtool) \
+ $(use_enable static static-cons) \
+ $(use_enable static static-fd)"
+ fi
+
+ # do not build bat and traymonitor if 'static' clientonly
+ if ! use clientonly || ! use static; then
+ myconf="${myconf} \
+ $(use_enable qt4 bat) \
+ $(use_enable qt4 traymonitor)"
+ fi
+
+ myconf="${myconf} \
+ $(use_with X x) \
+ $(use_enable acl) \
+ $(use_enable ipv6) \
+ $(use_enable ndmp) \
+ $(use_enable readline) \
+ $(use_enable !readline conio) \
+ $(use_enable scsi-crypto) \
+ $(use_enable sql-pooling) \
+ $(use_with fastlz) \
+ $(use_with mysql) \
+ $(use_with postgres postgresql) \
+ $(use_with python) \
+ $(use_with readline) \
+ $(use_with sqlite sqlite3) \
+ $(use sqlite || echo "--without-sqlite3") \
+ $(use_with ssl openssl) \
+ $(use_with tcpd tcp-wrappers) \
+ $(use_enable lmdb) \
+ $(use_with glusterfs) \
+ $(use_with rados) \
+ $(use_with cephfs) \
+ "
+
+ econf \
+ --libdir=/usr/$(get_libdir) \
+ --docdir=/usr/share/doc/${PF} \
+ --htmldir=/usr/share/doc/${PF}/html \
+ --with-pid-dir=/run/bareos \
+ --sysconfdir=/etc/bareos \
+ --with-subsys-dir=/run/lock/subsys \
+ --with-working-dir=/var/lib/bareos \
+ --with-logdir=/var/log/bareos \
+ --with-scriptdir=/usr/libexec/bareos \
+ --with-plugindir=/usr/$(get_libdir)/${PN}/plugin \
+ --with-backenddir=/usr/$(get_libdir)/${PN}/backend \
+ --with-dir-user=bareos \
+ --with-dir-group=bareos \
+ --with-sd-user=root \
+ --with-sd-group=bareos \
+ --with-fd-user=root \
+ --with-fd-group=bareos \
+ --with-sbin-perm=0755 \
+ --with-systemd \
+ --enable-smartalloc \
+ --enable-dynamic-cats-backends \
+ --enable-dynamic-storage-backends \
+ --enable-batch-insert \
+ --disable-afs \
+ --host=${CHOST} \
+ ${myconf}
+ # correct configuration for QT based bat
+ if use qt4 ; then
+ pushd src/qt-console
+ eqmake4
+ popd
+ pushd src/qt-tray-monitor
+ eqmake4
+ popd
+ fi
+}
+
+src_compile() {
+ # workaround for build failing with high -j values
+ # if ndmp is enabled
+ use ndmp && MAKEOPTS="$MAKEOPTS -j1"
+
+ # Make build log verbose (bug #447806)
+ emake NO_ECHO=""
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ doicon scripts/bareos.png
+
+ # install bat icon and desktop file when enabled
+ # (for some reason ./configure doesn't pick this up)
+ if use qt4 && ! use static ; then
+ doicon src/images/bat.png
+ domenu scripts/bat.desktop
+ fi
+
+ # remove some scripts we don't need at all
+ rm -f "${D}"/usr/libexec/bareos/{bareos,bareos-ctl-dir,bareos-ctl-fd,bareos-ctl-sd,startmysql,stopmysql}
+ rm -f "${D}"/usr/sbin/bareos
+
+ # remove upstream init scripts
+ rm -f "${D}"/etc/init.d/bareos-*
+
+ # rename statically linked apps
+ if use clientonly && use static ; then
+ pushd "${D}"/usr/sbin || die
+ mv static-bareos-fd bareos-fd || die
+ mv static-bconsole bconsole || die
+ popd || die
+ fi
+
+ # extra files which 'make install' doesn't cover
+ if ! use clientonly; then
+ # the logrotate configuration
+ # (now unconditional wrt bug #258187)
+ diropts -m0755
+ insinto /etc/logrotate.d
+ insopts -m0644
+ newins "${S}"/scripts/logrotate bareos
+
+ # the logwatch scripts
+ if use logwatch; then
+ diropts -m0750
+ dodir /etc/log.d/scripts/services
+ dodir /etc/log.d/scripts/shared
+ dodir /etc/log.d/conf/logfiles
+ dodir /etc/log.d/conf/services
+ pushd "${S}"/scripts/logwatch >&/dev/null || die
+ emake DESTDIR="${D}" install
+ popd >&/dev/null || die
+ fi
+ fi
+
+ rm -vf "${D}"/usr/share/man/man1/bareos-bwxconsole.1*
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bat.1*
+ fi
+ if use clientonly || ! use director; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-dir.8*
+ rm -vf "${D}"/usr/share/man/man8/bareos-dbcheck.8*
+ rm -vf "${D}"/usr/share/man/man1/bsmtp.1*
+ rm -vf "${D}"/usr/share/man/man8/bwild.8*
+ rm -vf "${D}"/usr/share/man/man8/bregex.8*
+ rm -vf "${D}"/usr/share/man/man8/bpluginfo.8*
+ rm -vf "${D}"/usr/libexec/bareos/create_*_database
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_database
+ rm -vf "${D}"/usr/libexec/bareos/make_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/update_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/drop_*_tables
+ rm -vf "${D}"/usr/libexec/bareos/grant_*_privileges
+ rm -vf "${D}"/usr/libexec/bareos/*_catalog_backup
+ fi
+ if use clientonly || ! use storage-daemon; then
+ rm -vf "${D}"/usr/share/man/man8/bareos-sd.8*
+ rm -vf "${D}"/usr/share/man/man8/bcopy.8*
+ rm -vf "${D}"/usr/share/man/man8/bextract.8*
+ rm -vf "${D}"/usr/share/man/man8/bls.8*
+ rm -vf "${D}"/usr/share/man/man8/bscan.8*
+ rm -vf "${D}"/usr/share/man/man8/btape.8*
+ rm -vf "${D}"/usr/libexec/bareos/disk-changer
+ rm -vf "${D}"/usr/libexec/bareos/mtx-changer
+ rm -vf "${D}"/usr/libexec/bareos/dvd-handler
+ rm -vf "${D}"/etc/bareos/mtx-changer.conf
+ fi
+ if ! use scsi-crypto; then
+ rm -vf "${D}"/usr/share/man/man8/bscrypto.8*
+ fi
+ if ! use qt4; then
+ rm -vf "${D}"/usr/share/man/man1/bareos-tray-monitor.1*
+ fi
+
+ # documentation
+ dodoc README.md
+ use ndmp && dodoc README.NDMP
+ use scsi-crypto && dodoc README.scsicrypto
+
+ # vim-files
+ if use vim-syntax; then
+ insinto /usr/share/vim/vimfiles/syntax
+ doins scripts/bareos.vim
+ insinto /usr/share/vim/vimfiles/ftdetect
+ newins scripts/filetype.vim bareos_ft.vim
+ fi
+
+ # setup init scripts
+ myscripts="bareos-fd"
+ if ! use clientonly; then
+ if use director; then
+ myscripts="${myscripts} bareos-dir"
+ fi
+ if use storage-daemon; then
+ myscripts="${myscripts} bareos-sd"
+ fi
+ fi
+ for script in ${myscripts}; do
+ # copy over init script and config to a temporary location
+ # so we can modify them as needed
+ cp "${FILESDIR}/${script}".confd "${T}/${script}".confd || die "failed to copy ${script}.confd"
+ cp "${FILESDIR}/${script}".initd "${T}/${script}".initd || die "failed to copy ${script}.initd"
+
+ # now set the database dependency for the director init script
+ case "${script}" in
+ bareos-dir)
+ sed -i -e "s:%databasetypes%:${mydbtypes}:" "${T}/${script}".confd || die
+ ;;
+ *)
+ ;;
+ esac
+
+ # install init script and config
+ newinitd "${T}/${script}".initd "${script}"
+ newconfd "${T}/${script}".confd "${script}"
+ done
+
+ # make sure the working directory exists
+ diropts -m0750
+ keepdir /var/lib/bareos
+
+ # make sure bareos group can execute bareos libexec scripts
+ fowners -R root:bareos /usr/libexec/bareos
+}
+
+pkg_postinst() {
+ if use clientonly; then
+ fowners root:bareos /var/lib/bareos
+ else
+ fowners bareos:bareos /var/lib/bareos
+ fi
+
+ if ! use clientonly && use director; then
+ einfo
+ einfo "If this is a new install, you must create the databases with:"
+ if use postgres; then
+ einfo
+ einfo "For postgresql:"
+ einfo " su postgres -c '/usr/libexec/bareos/create_bareos_database postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/make_bareos_tables postgresql'"
+ einfo " su postgres -c '/usr/libexec/bareos/grant_bareos_privileges postgresql'"
+ fi
+ if use mysql; then
+ einfo
+ einfo "For mysql:"
+ einfo
+ einfo " Make sure root has direct access to your mysql server. You may want to"
+ einfo " create a /root/.my.cnf file with"
+ einfo " [client]"
+ einfo " user=root"
+ einfo " password=YourPasswordForAccessingMysqlAsRoot"
+ einfo " before running:"
+ einfo " /usr/libexec/bareos/create_bareos_database mysql"
+ einfo " /usr/libexec/bareos/make_bareos_tables mysql"
+ einfo " /usr/libexec/bareos/grant_bareos_privileges mysql"
+ fi
+ einfo
+ fi
+
+ if use sqlite; then
+ einfo
+ einfo "Be aware that Bareos does not officially support SQLite database."
+ einfo "Best use it only for a client-only installation. See Bug #445540."
+ einfo
+ einfo "It is strongly recommended to use either postgresql or mysql as"
+ einfo "catalog database backend."
+ einfo
+ fi
+
+ einfo "Please note that 'bconsole' will always be installed. To compile 'bat'"
+ einfo "you have to enable 'USE=qt4'."
+ einfo
+}
diff --git a/app-backup/bareos/files/bareos-12.4.5-Makefile.patch b/app-backup/bareos/files/bareos-12.4.5-Makefile.patch
new file mode 100644
index 000000000000..3cdee15d4db7
--- /dev/null
+++ b/app-backup/bareos/files/bareos-12.4.5-Makefile.patch
@@ -0,0 +1,27 @@
+# stop build if there are errors in subdirs
+--- Makefile.in.orig 2010-07-20 16:53:44.000000000 +0000
++++ Makefile.in 2010-07-20 16:55:50.000000000 +0000
+@@ -44,9 +44,8 @@
+
+ all: Makefile
+ @for I in ${all_subdirs}; \
+- do (cd $$I; echo "==>Entering directory `pwd`"; \
+- $(MAKE) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
+- echo ""; echo ""; exit 1;)); \
++ do \
++ $(MAKE) DESTDIR=$(DESTDIR) -C $$I $@ || exit 1; \
+ done
+
+ depend:
+@@ -55,9 +54,8 @@
+
+ bacula-fd: Makefile
+ @for I in ${fd_subdirs}; \
+- do (cd $$I; echo "==>Entering directory `pwd`"; \
+- $(MAKE) DESTDIR=$(DESTDIR) all || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
+- echo ""; echo ""; exit 1;)); \
++ do \
++ $(MAKE) DESTDIR=$(DESTDIR) -C $$I all || exit 1; \
+ done
+
+ #-------------------------------------------------------------------------
diff --git a/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch b/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch
new file mode 100644
index 000000000000..94d8fb60120e
--- /dev/null
+++ b/app-backup/bareos/files/bareos-12.4.5-bat-ldflags.patch
@@ -0,0 +1,11 @@
+# bat needs to respect LDFLAGS
+--- src/qt-console/bat.pro.in.orig 2010-07-20 18:28:50.000000000 +0000
++++ src/qt-console/bat.pro.in 2010-07-20 18:29:25.000000000 +0000
+@@ -26,6 +26,7 @@
+ QMAKE_LINK = $${LIBTOOL_LINK} $(CXX)
+ QMAKE_INSTALL_PROGRAM = $${LIBTOOL_INSTALL} install -m @SBINPERM@ -p
+ QMAKE_CLEAN += .libs/* bat
++QMAKE_LFLAGS += @LDFLAGS@
+
+ qwt {
+ INCLUDEPATH += @QWT_INC@
diff --git a/app-backup/bareos/files/bareos-dir.confd b/app-backup/bareos/files/bareos-dir.confd
new file mode 100644
index 000000000000..441cf4cbefdb
--- /dev/null
+++ b/app-backup/bareos/files/bareos-dir.confd
@@ -0,0 +1,18 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-dir
+
+# Bareos can use more than one catalog database and each one can
+# be of any supported type.
+# If a database server where you store a bareos catalog
+# is on a different machine, you might want to remove the corresponding
+# type from the rc_need variable.
+rc_need="%databasetypes%"
+
+# Options for the director daemon.
+# The director can be run as a non-root user, however
+# please ensure that this user has proper permissions to
+# access your backup devices.
+DIR_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-dir.conf"
diff --git a/app-backup/bareos/files/bareos-dir.initd b/app-backup/bareos/files/bareos-dir.initd
new file mode 100644
index 000000000000..5e508f9fce43
--- /dev/null
+++ b/app-backup/bareos/files/bareos-dir.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns bareos-fd bareos-sd
+}
+
+start() {
+ ebegin "Starting bareos director"
+ checkpath -d -m 0750 -o bareos:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-dir \
+ -- ${DIR_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos director"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-dir.*.pid
+ eend $?
+}
diff --git a/app-backup/bareos/files/bareos-fd.confd b/app-backup/bareos/files/bareos-fd.confd
new file mode 100644
index 000000000000..05bc77742a84
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd.confd
@@ -0,0 +1,8 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-fd
+
+# Options for the file daemon.
+FD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-fd.conf"
diff --git a/app-backup/bareos/files/bareos-fd.initd b/app-backup/bareos/files/bareos-fd.initd
new file mode 100644
index 000000000000..7f2491599c5e
--- /dev/null
+++ b/app-backup/bareos/files/bareos-fd.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos file daemon"
+ checkpath -d -m 0750 /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-fd \
+ -- ${FD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos file daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-fd.*.pid
+ eend $?
+}
diff --git a/app-backup/bareos/files/bareos-sd.confd b/app-backup/bareos/files/bareos-sd.confd
new file mode 100644
index 000000000000..3a688ffb5d15
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd.confd
@@ -0,0 +1,11 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# Config file for /etc/init.d/bareos-sd
+
+# Options for the storage daemon.
+# The storage daemon can be run as a non-root user, however
+# please ensure that this user has proper permissions to
+# access your backup devices.
+SD_OPTIONS="-u root -g bareos -c /etc/bareos/bareos-sd.conf"
diff --git a/app-backup/bareos/files/bareos-sd.initd b/app-backup/bareos/files/bareos-sd.initd
new file mode 100644
index 000000000000..e37df1af6afd
--- /dev/null
+++ b/app-backup/bareos/files/bareos-sd.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ use dns
+}
+
+start() {
+ ebegin "Starting bareos storage daemon"
+ checkpath -d -m 0750 -o bareos:bareos /run/bareos
+ start-stop-daemon --start --quiet --exec /usr/sbin/bareos-sd \
+ -- ${SD_OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bareos storage daemon"
+ start-stop-daemon --stop --quiet --pidfile /run/bareos/bareos-sd.*.pid
+ eend $?
+}
diff --git a/app-backup/bareos/metadata.xml b/app-backup/bareos/metadata.xml
new file mode 100644
index 000000000000..f7f835f420b1
--- /dev/null
+++ b/app-backup/bareos/metadata.xml
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>mschiff@gentoo.org</email>
+ <name>Marc Schiffbauer</name>
+ </maintainer>
+ <use>
+ <flag name="cephfs">Enable cephfs storage backend</flag>
+ <flag name="clientonly">Only install file-daemon (client)</flag>
+ <flag name="director">Install director</flag>
+ <flag name="fastlz">Enable support vor lz4, lz4hc and lzfast using dev-libs/bareos-fastlzlib</flag>
+ <flag name="glusterfs">Enable glusterfs storage backend</flag>
+ <flag name="lmdb">enable build of LMDB support for faster accurate backup</flag>
+ <flag name="logwatch">Install support files for logwatch</flag>
+ <flag name="ndmp">Enable support for NDMP (Network Data Management Protocol)</flag>
+ <flag name="rados">Enable rados storage backend</flag>
+ <flag name="scsi-crypto">Enable low level SCSI crypto support</flag>
+ <flag name="sql-pooling">Enable SQL pooling support</flag>
+ <flag name="storage-daemon">Install storage daemon (bareos-sd)</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">bareos/bareos</remote-id>
+ </upstream>
+</pkgmetadata>